package ejbs.login;

import java.rmi.RemoteException;

import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class LoginBean implements SessionBean {
	private SessionContext ctx;

	public Boolean login(String password) throws RemoteException {
		log("Logging in with Password:"+password);

		return new Boolean(password.equals("passwd"));
	}

	private static void log(String s) {
		System.out.println(s);
	}

	public void setSessionContext(SessionContext c) {

		ctx = c;

		try {
			Context ic = new InitialContext();
		}
		catch (NamingException ne) {
			throw new EJBException(ne);
		}
	}

	public void ejbCreate(String username) {
		log("Created Login Bean with UserName:"+username);
	}

	public void ejbActivate() {
	}
	public void ejbPassivate() {
	}
	public void ejbRemove() {
	}

}
