package ejbs.msgbean;

import javax.ejb.CreateException;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.TextMessage;

//---------------------------[ Listing 1.9 ]----------------------------------//
public class MessageBean implements MessageDrivenBean, MessageListener {
	private MessageDrivenContext ctx;

	public void ejbRemove() {
	}

	public void ejbPassivate() {
	}

	public void setMessageDrivenContext(MessageDrivenContext ctx) {
		this.ctx = ctx;
	}

	public void ejbCreate() throws CreateException {
	}

	public void onMessage(Message msg) {

		try {
			String command = ((TextMessage) msg).getText();
			System.out.println("Received Message from JMS:" + command);
			//perform or delegate business logic
		}
		catch (JMSException ex) {
			ex.printStackTrace();
		}
	}

}
//---------------------------[ Listing 1.9 ]----------------------------------//
