package ejbs.util;

import javax.naming.NamingException;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

import java.util.Hashtable;
import ejbs.equity.*;

public class EquityUtil {
	public static final String JNDI_NAME = "ejbAccess.equityHome";
	private static EquityHome remoteHome = null;

	public static EquityHome getHome(Hashtable env) throws NamingException {
		if (remoteHome == null)
			{
			InitialContext initialContext = null;

			if (env == null)
				initialContext = new InitialContext();
			else
				initialContext = new InitialContext(env);

			try {
				Object objRef = initialContext.lookup(JNDI_NAME);
				remoteHome = (EquityHome) PortableRemoteObject.narrow(objRef, EquityHome.class);
			}
			catch (Exception e) {
				//handle error
				e.printStackTrace();
			}
		}
		return remoteHome;
	}
}


