package ejbs.emailBean;

import java.rmi.RemoteException;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.mail.Message;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import javax.naming.Context;
import javax.naming.InitialContext;

public class EmailerBean implements SessionBean {
	final static boolean VERBOSE = true;
	private SessionContext ctx;

	public void sendEmail(String rcpt, String text) throws RemoteException {
		Session mailSession = null;
		Message msg = null;

		try {
			log("Sending Email to: " + rcpt);
			Context ictx = new InitialContext();
			mailSession = (Session) ictx.lookup("BookMailSession");

			msg = new MimeMessage(mailSession);
			msg.setFrom();
			msg.setRecipients(Message.RecipientType.TO, InternetAddress.parse("myaddress@myhost.com", false));
			msg.setSubject("Test Message");
			msg.setText(text);

			Transport.send(msg);
			log("Sent Email to: " + rcpt);
		}
		catch (Exception e) {
			e.printStackTrace();
		}

	}

	private static void log(String s) {
		System.out.println("EmailerBean::" + s);
	}

	public void setSessionContext(SessionContext c) {
		ctx = c;
	}

	public void ejbCreate() {
	}
	public void ejbActivate() {
	}
	public void ejbPassivate() {
	}
	public void ejbRemove() {
	}

}
