package ejbs.testStateless;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;


public class TestStatelessBean implements SessionBean {

  private SessionContext   ctx;

  private void log(String s) {
    System.out.println("TestStatelessBean::"+s);
  } 
  
  public void ejbActivate() {
    log("ejbActivate called");
  }

  public void ejbRemove() {
    log("ejbRemove called");
  }

  public void ejbPassivate() {
    log("ejbPassivate called");
  }

  public void setSessionContext(SessionContext ctx) {
    log("setSessionContext called");
    this.ctx = ctx;
  }

  public void ejbCreate () throws CreateException {
    log("ejbCreate called");
  }

  public boolean positiveResponse(){
    return true;
  }

  public boolean negativeResponse(){
    return false;
  }


}








