package ejbs.samplesession;

import java.rmi.RemoteException;

import javax.ejb.EJBException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class SampleSessionBean implements SessionBean {
	private SessionContext ctx;

	public void doProcess() throws RemoteException {
		System.out.println("Normally, this bean would do some processing here.");
	}


	public void setSessionContext(SessionContext c) {

		ctx = c;

		try {
			Context ic = new InitialContext();
		}
		catch (NamingException ne) {
			throw new EJBException(ne);
		}
	}

	public void ejbCreate() {
	}

	public void ejbActivate() {
	}
	public void ejbPassivate() {
	}
	public void ejbRemove() {
	}

}
