package ejbs.compoundKey;

import java.io.Serializable;

public class HoldingKey implements Serializable {
	//-----------------------[ Listing 3.9 ]-------------------------//	
	public String  portfolioName = null;
	public String  symbol = null;
  
	public HoldingKey(){}

	public HoldingKey( String symbol, String portfolioName )
	{
	   this.symbol = symbol;
	   this.portfolioName = portfolioName;
	}

	public boolean equals(Object obj){

	  if( obj == null || !( obj instanceof HoldingKey ) )
		return false;

	  HoldingKey key = ( HoldingKey ) obj;

	  if( ( key.portfolioName.equals(portfolioName) )&& 
					   ( key.symbol.equals(symbol) )  )
	  {
		return true;
	  }
	  else{
		return false;
	  }
	}

	public int hashCode(){
	  return portfolioName.hashCode() + symbol.hashCode(); 
	}

	public String toString()
	{
	  return portfolioName + " " + symbol;
	}

	//-----------------------[ Listing 3.9 ]-------------------------//


}
