package ejbs.compoundKey;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public interface PortfolioHoldingHome extends EJBHome {

	public PortfolioHolding create(PortfolioHoldingVO holding) throws CreateException, RemoteException;

	public PortfolioHolding findByPrimaryKey(HoldingKey primaryKey) throws FinderException, RemoteException;

	public Collection findByPortfolioName(String portfolioName) throws FinderException, RemoteException;

}
