package ejbs.ebql;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;
import java.rmi.RemoteException;
import java.util.Collection;

public interface EquityHome extends EJBHome {

  public Equity create(String symbol, String description) 
    throws CreateException, RemoteException;

  public Equity findByPrimaryKey(String primaryKey) 
    throws FinderException, RemoteException;

  public Collection findHighPriced(double minPrice)
    throws FinderException, RemoteException;

  public Collection findHighPricedLowPE(double minPrice,double PE)
    throws FinderException, RemoteException;
 
}
