package ejbs.methodRedux;

import javax.ejb.CreateException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

public class SessionBeanTemplate implements SessionBean {
	protected SessionContext sContext;

	public void ejbRemove() {
		log("ejbRemove called");
	}

	public void ejbPassivate() {
		log("ejbPassivate called");
	}

	public void setSessionContext(SessionContext ctx) {
		log("setSessionContext called");
		this.sContext = ctx;
	}

	public void ejbCreate() throws CreateException {
		log("ejbCreate called");
	}

	protected void log(String s) {
		System.out.println(this.getClass().getName() + "::" + s);
	}

	public void ejbActivate() {
		log("ejbActivate called");
	}

}
