package ejbs.methodRedux;

import javax.ejb.CreateException;

abstract public class TestEntityBean extends EntityBeanTemplate {

	public TestEntityBean() {
	};

	abstract public int getStatus();
	abstract public void setStatus(int status);

	abstract public String getProcessId();
	abstract public void setProcessId(String processId);

	public String ejbCreate(String processId, int status) throws CreateException {
		log(
			"TestEntityBean.ejbCreate( id = "
				+ System.identityHashCode(this)
				+ ", PK = "
				+ processId
				+ ", "
				+ "Status =  "
				+ status
				+ ")");

		setProcessId(processId);
		setStatus(status);

		return null; // See 9.4.2 of the EJB 1.1 specification
	}

	public void ejbPostCreate(String processId, int status) {
		log("TestEntityBean.ejbPostCreate (" + id() + ")");
	}

}
