package ejbs.errorHandling;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;
import javax.jms.Message;

public interface ErrorHandler extends EJBObject {
	public void handleMessageDrivenError(String message, Message mg) throws RemoteException;
	public void handleSessionError(Object errorMessage) throws RemoteException;
	public void handleEntityError(Object errorMessage) throws RemoteException;
}
