package ejbs.errorHandling;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import javax.jms.Message;

public class ErrorHandlerBean implements SessionBean {
	private SessionContext ctx = null;

	public void handleMessageDrivenError(String message, Message mg) {
		System.out.println("An error occured in the Message Driven Bean:" + message);
	}

	public void handleSessionError(Object errorMessage) {
		System.out.println("An error occured in the Session Bean:" + errorMessage);
	}

	public void handleEntityError(Object errorMessage) {
		System.out.println("An error occured in the Entity Bean:" + errorMessage);
	}

	private static void log(String s) {
		System.out.println(s);
	}

	public void setSessionContext(SessionContext c) {
		ctx = c;
	}

	public void ejbCreate() {
	}
	public void ejbActivate() {
	}
	public void ejbPassivate() {
	}
	public void ejbRemove() {
	}

}
